YSTest: YSLib::Components::IWidget Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
YSLib::Components::IWidget Struct Referenceabstract

部件接口。 More...

`#include <ywidget.h>`

Inheritance diagram for YSLib::Components::IWidget:
[legend]

## Public Member Functions

virtual | ~IWidget ()
virtual Renderer & | GetRenderer () const =0
| 取渲染器。
virtual View & | GetView () const =0
| 取部件视图。
virtual AController & | GetController () const =0
| 取控制器。
virtual WidgetRange | GetChildren ()=0
| 取子部件。

## Detailed Description

部件接口。

Since
  早于 build 132

Definition at line 56 of file ywidget.h.

## Constructor & Destructor Documentation

virtual YSLib::Components::IWidget::~IWidget | ( |  | ) |

inlinevirtual

Definition at line 56 of file ywidget.h.

## Member Function Documentation

virtual WidgetRange YSLib::Components::IWidget::GetChildren | ( |  | ) |

pure virtual

取子部件。

Returns
  包含子部件的迭代器范围，否则返回 WidgetRange() 。

Since
  build 357

Implemented in YSLib::Components::ScrollableContainer, YSLib::Components::Widget, YSLib::Components::AScrollBar, YSLib::Components::DropDownList, YSLib::Components::ATrack, YSLib::Components::ListBox, YSLib::Components::Panel, and YSLib::Components::DialogBox.

virtual AController& YSLib::Components::IWidget::GetController | ( |  | ) | const

pure virtual

取控制器。

Implemented in YSLib::Components::Widget.

Referenced by YSLib::Components::CallEvent(), YSLib::Components::FetchEvent(), and YSLib::Components::SetEnabledOf().

Here is the caller graph for this function:

virtual Renderer& YSLib::Components::IWidget::GetRenderer | ( |  | ) | const

pure virtual

取渲染器。

Implemented in YSLib::Components::Widget.

virtual View& YSLib::Components::IWidget::GetView | ( |  | ) | const

pure virtual

取部件视图。

Warning
  注意修改容器指针或焦点指针时，应保持和容器包含部件的状态同步。

Implemented in YSLib::Components::Widget.

Referenced by YSLib::Components::FetchContainerPtr(), YSLib::Components::FetchFocusingPtr(), YSLib::Components::GetLocationOf(), YSLib::Components::GetSizeOf(), and YSLib::Components::SetVisibleOf().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- ywidget.h